<?php
session_start();
    header('Access-Control-Allow-Origin:*');
    header('Content-Type; application/json; charset=utf-8');
    header('Access-control-Allow-Method: POST');
    header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');
    include('db.php');
        $inputdata = json_decode(file_get_contents("php://input"), true);
        
        $designation = $inputdata['designation'];
        $prix = $inputdata['prix'];
        $id = $inputdata['id'];
        $prix_achat = $inputdata['prix_achat'];
        $benefice=$prix-$prix_achat;
        
        
      


            $user=$db->prepare('UPDATE prix_repas SET designation=?, prix=?, prix_achat=?, benefice=? WHERE id=?');

            $req_user = $user->execute(array($designation, $prix, $prix_achat, $benefice, $id));

            if ($req_user) {
                //création réussie
                
                echo (json_encode(['response' => 1]));



            }else{
                // création non réussie

                echo (json_encode(['response' => 0]));

                

            }


        